# AD Integration

## Get

> Retrieve AD Integration Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ADIntegrationSettings":{"get":{"tags":["2-Site settings//AD Integration"],"summary":"Get","description":"Retrieve AD Integration Settings.","operationId":"192baf63-725b-4b99-8587-269db53f2a8e","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the AD Integration Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ADIntegrationSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ADIntegrationSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the AD integration settings refer to.</para>","format":"int32"},"certificateAuthority":{"type":"string","description":"<para type=\"description\">Certificate authority</para>","nullable":true},"enrollmentAgentUsername":{"type":"string","description":"<para type=\"description\">Principal name in UPN format that will enroll certificates on behalf of other users.</para>","nullable":true},"nlaUsername":{"type":"string","description":"<para type=\"description\">Username of the network level authentication</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">AD Integration Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify AD Integration Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ADIntegrationSettings":{"put":{"tags":["2-Site settings//AD Integration"],"summary":"Update","description":"Modify AD Integration Settings.","operationId":"56670791-b0ab-49f7-b869-82f9ba833e4d","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the AD Integration Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"AD Integration Settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetADIntegrationSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetADIntegrationSettings":{"type":"object","properties":{"certificateAuthority":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Certificate authority</para>","nullable":true},"enrollmentAgentUsername":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Username of the enrollment agent</para>","nullable":true},"enrollmentAgentPassword":{"type":"string","description":"<para type=\"description\">Password of the account specified in the EnrollmentAgentUsername parameter.</para>","nullable":true},"nlaUsername":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Principal name in UPN format used to initialize the RDP session.</para>","nullable":true},"nlaPassword":{"type":"string","description":"<para type=\"description\">Password of the account specified in the NLAUsername parameter.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the AD integration settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v20/api-reference/site-settings/ad-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
